#pragma once

enum NtalkServerType
{
    SERVER_TYPE_REAL = 0,
    SERVER_TYPE_STAGE,
    SERVER_TYPE_ALPHA,
};

class CServerAddrConfig
{
private:
    CServerAddrConfig(void);
public:
    ~CServerAddrConfig(void);

    NtalkServerType GetServerType() const { return m_ServerType; }

    LPCTSTR GetBannerUrl() const { return m_strBannerUrl; }
    LPCTSTR GetMessageUrl() const { return m_strMessageUrl; }
    LPCTSTR GetNTalkMailUrl() const { return m_strNTalkMailUrl; }
    LPCTSTR GetNhnCorpMailUrl() const { return m_strNhnCorpMailUrl; }

    LPCTSTR GetNTalkNoticeUrl() const { return m_strNTalkNoticeUrl; }
    LPCTSTR GetChangeNoticeUrl() const { return m_strChangeNoticeUrl; }
    LPCTSTR GetCheckupNoticeUrl() const { return m_strCheckupNoticeUrl; }

    //TODO: GetWasServer ?
    LPCTSTR GetNhnWasServer() const { return m_strNhnWasServer; }
    LPCTSTR GetHanatourWasServer() const { return m_strHanatourWasServer; }
    LPCTSTR GetHanatourServerIp() const { return m_strHanatourServerIp; }
    LPCTSTR GetNhnServerIp() const { return m_strNhnServerIp; }
    LPCTSTR GetChatHistoryUrl() const { return m_strChatHistoryUrl; }
    LPCTSTR GetChatUrl() const { return m_strChatUrl; }

    UINT    GetServerPort() const { return m_nServerPort; }
    UINT    GetPortCount() const { return m_nPortCount; }
private:
    BOOL LoadSetting();
    BOOL Inited() const;
    BOOL m_bInited;

    NtalkServerType m_ServerType;

    CString m_strBannerUrl;
    CString m_strMessageUrl;
    CString m_strNTalkMailUrl;
    CString m_strNhnCorpMailUrl;
    
    CString m_strNTalkNoticeUrl;
    CString m_strChangeNoticeUrl;
    CString m_strCheckupNoticeUrl;
    CString m_strNhnWasServer;
    CString m_strHanatourWasServer;
    CString m_strHanatourServerIp;
    CString m_strNhnServerIp;
    CString m_strChatHistoryUrl;
    CString m_strChatUrl;

    UINT    m_nServerPort;
    UINT    m_nPortCount;
public:
    static CServerAddrConfig& Instance();
};
